### Class

# Gegl Color

#### Description

    class Gegl.Color : GObject.Object
    {
      GeglColorPrivate* priv
    }

No description available.

#### Ancestors

- GObject

#### Constructors

###### gegl_color_new

Creates a new `GeglColor`.

#### Instance methods

###### gegl_color_duplicate

Creates a copy of `color`.

###### gegl_color_get_bytes

No description available.

###### gegl_color_get_cmyk

Retrieves the current set color stored as `space`. If `space` is `NULL`, this is equivalent to requesting color in the default naive CMYK space.

###### gegl_color_get_components

Get the component values of the color in `format`.

###### gegl_color_get_format

No description available.

###### gegl_color_get_hsla

Retrieves the current set color stored as `space`. If `space` is `NULL`, this is equivalent to requesting color in the default sRGB space.

###### gegl_color_get_hsva

Retrieves the current set color stored as `space`. If `space` is `NULL`, this is equivalent to requesting color in the default sRGB space.

###### gegl_color_get_pixel

Store the color in a pixel in the given format.

###### gegl_color_get_rgba

Retrieves the current set color as linear light non premultipled RGBA data, any of the return pointers can be omitted.

###### gegl_color_get_rgba_with_space

Retrieves the current set color stored as `space`. If `space` is `NULL`, this is equivalent to requesting color in sRGB.

###### gegl_color_set_bytes

Set a GeglColor from a pixel stored in a %GBytes and it’s babl format.

###### gegl_color_set_cmyk

Set color as CMYK data stored as `space`. If `space` is `NULL`, this is equivalent to storing with the default naive CMYK space.

###### gegl_color_set_components

Set the color using the component values as `format`.

###### gegl_color_set_hsla

Set color as HSLA data stored as `space`. If `space` is `NULL`, this is equivalent to storing with the default sRGB space.

###### gegl_color_set_hsva

Set color as HSVA data stored as `space`. If `space` is `NULL`, this is equivalent to storing with the default sRGB space.

###### gegl_color_set_pixel

Set a GeglColor from a pointer to a pixel and it’s babl format.

###### gegl_color_set_rgba

Set color as linear light non premultipled RGBA data.

###### gegl_color_set_rgba_with_space

Set color as RGBA data stored as `space`. If `space` is `NULL`, this is equivalent to storing as sRGB.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### Gegl.Color:string

No description available.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct GeglColorClass {
      GObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.